Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ItemDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.ItemDescription

All Implemented Interfaces:
  java.io.Serializable

    public class ItemDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected LocalizedString` | `description`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `itemName`

Constructor Summary
`ItemDescription()`
`ItemDescription(java.lang.String itemName, LocalizedString description, Extension[] extensions)`

Method Summary
`LocalizedString` | `getDescription()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getItemName()`
`void` | `setDescription(LocalizedString description)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setItemName(java.lang.String itemName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemName

    protected java.lang.String itemName

### description

    protected LocalizedString description

### extensions

    protected Extension[] extensions

Constructor Detail

### ItemDescription

    public ItemDescription()

### ItemDescription

    public ItemDescription(java.lang.String itemName,
                           LocalizedString description,
                           Extension[] extensions)

Method Detail

### getItemName

    public java.lang.String getItemName()

### setItemName

    public void setItemName(java.lang.String itemName)

### getDescription

    public LocalizedString getDescription()

### setDescription

    public void setDescription(LocalizedString description)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD